[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Forms' (#lcl)

# TApplication.DoEscapeKey

Interprets Esc as Cancel action, if applicable.

## Declaration

Source position: forms.pp line 1713

`public procedure TApplication.DoEscapeKey(`
`AControl: TWinControl;`
`var Key: Word;`
`Shift: TShiftState`
`);`

## Arguments

`AControl` |  | The control receiving the key.
`Key` |  | The virtual key; becomes VK_UNKNOWN when handled.
`Shift` |  | The active modifier keys.